
package cursedcrafting.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import cursedcrafting.entity.OxEntity;

public class OxRenderer extends MobRenderer<OxEntity, CowModel<OxEntity>> {
	public OxRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(OxEntity entity) {
		return new ResourceLocation("cursedcraftingrecipes:textures/entities/pmcskin3d-cow.png");
	}
}
