
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package cursedcrafting.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import cursedcrafting.entity.SmolIronGolemEntity;
import cursedcrafting.entity.OxEntity;

import cursedcrafting.CursedcraftingrecipesMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class CursedcraftingrecipesModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, CursedcraftingrecipesMod.MODID);
	public static final RegistryObject<EntityType<SmolIronGolemEntity>> SMOL_IRON_GOLEM = register("smol_iron_golem",
			EntityType.Builder.<SmolIronGolemEntity>of(SmolIronGolemEntity::new, MobCategory.AMBIENT).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(SmolIronGolemEntity::new)

					.sized(0.4f, 0.3f));
	public static final RegistryObject<EntityType<OxEntity>> OX = register("ox",
			EntityType.Builder.<OxEntity>of(OxEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(OxEntity::new)

					.sized(0.9f, 1.4f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			SmolIronGolemEntity.init();
			OxEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(SMOL_IRON_GOLEM.get(), SmolIronGolemEntity.createAttributes().build());
		event.put(OX.get(), OxEntity.createAttributes().build());
	}
}
