
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package cursedcrafting.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import cursedcrafting.CursedcraftingrecipesMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class CursedcraftingrecipesModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, CursedcraftingrecipesMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {

		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(CursedcraftingrecipesModItems.SELF_HARM_SWORD.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(CursedcraftingrecipesModItems.SMOL_IRON_GOLEM_SPAWN_EGG.get());
			tabData.accept(CursedcraftingrecipesModItems.OX_SPAWN_EGG.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(CursedcraftingrecipesModItems.DIAMOND_STICK.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(CursedcraftingrecipesModBlocks.THICCCCTORCH.get().asItem());
		}

		if (tabData.getTabKey() == CreativeModeTabs.FOOD_AND_DRINKS) {
			tabData.accept(CursedcraftingrecipesModItems.CHICKEN_NUGGET.get());
		}

		if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(CursedcraftingrecipesModItems.SUICIDE_PICKAXE.get());
			tabData.accept(CursedcraftingrecipesModItems.CHONGUSPICKAXE.get());
		}
	}
}
