
package cursedcrafting.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import cursedcrafting.entity.SmolIronGolemEntity;

public class SmolIronGolemRenderer extends MobRenderer<SmolIronGolemEntity, SilverfishModel<SmolIronGolemEntity>> {
	public SmolIronGolemRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(SmolIronGolemEntity entity) {
		return new ResourceLocation("cursedcraftingrecipes:textures/entities/when.png");
	}

	@Override
	protected boolean isShaking(SmolIronGolemEntity entity) {
		return true;
	}
}
