
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package cursedcrafting.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.common.ForgeSpawnEggItem;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import cursedcrafting.item.XItem;
import cursedcrafting.item.SuicidePickaxeItem;
import cursedcrafting.item.SilverPlayButtonItem;
import cursedcrafting.item.SelfHarmSwordItem;
import cursedcrafting.item.OItem;
import cursedcrafting.item.DoublyEnchantedGoldenAppleItem;
import cursedcrafting.item.DiamondStickItem;
import cursedcrafting.item.ChickenNuggetItem;
import cursedcrafting.item.CHONGUSPICKAXEItem;

import cursedcrafting.CursedcraftingrecipesMod;

public class CursedcraftingrecipesModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, CursedcraftingrecipesMod.MODID);
	public static final RegistryObject<Item> DOUBLY_ENCHANTED_GOLDEN_APPLE = REGISTRY.register("doubly_enchanted_golden_apple", () -> new DoublyEnchantedGoldenAppleItem());
	public static final RegistryObject<Item> THICCCCTORCH = block(CursedcraftingrecipesModBlocks.THICCCCTORCH);
	public static final RegistryObject<Item> CHICKEN_NUGGET = REGISTRY.register("chicken_nugget", () -> new ChickenNuggetItem());
	public static final RegistryObject<Item> SILVER_PLAY_BUTTON = REGISTRY.register("silver_play_button", () -> new SilverPlayButtonItem());
	public static final RegistryObject<Item> DIAMOND_STICK = REGISTRY.register("diamond_stick", () -> new DiamondStickItem());
	public static final RegistryObject<Item> SELF_HARM_SWORD = REGISTRY.register("self_harm_sword", () -> new SelfHarmSwordItem());
	public static final RegistryObject<Item> SUICIDE_PICKAXE = REGISTRY.register("suicide_pickaxe", () -> new SuicidePickaxeItem());
	public static final RegistryObject<Item> ALL_MY_FELLAS = block(CursedcraftingrecipesModBlocks.ALL_MY_FELLAS);
	public static final RegistryObject<Item> TNT_SLAB = block(CursedcraftingrecipesModBlocks.TNT_SLAB);
	public static final RegistryObject<Item> SUBTRACTION = block(CursedcraftingrecipesModBlocks.SUBTRACTION);
	public static final RegistryObject<Item> SMOL_IRON_GOLEM_SPAWN_EGG = REGISTRY.register("smol_iron_golem_spawn_egg", () -> new ForgeSpawnEggItem(CursedcraftingrecipesModEntities.SMOL_IRON_GOLEM, -1, -1, new Item.Properties()));
	public static final RegistryObject<Item> CHONGUSPICKAXE = REGISTRY.register("chonguspickaxe", () -> new CHONGUSPICKAXEItem());
	public static final RegistryObject<Item> O = REGISTRY.register("o", () -> new OItem());
	public static final RegistryObject<Item> X = REGISTRY.register("x", () -> new XItem());
	public static final RegistryObject<Item> OX_SPAWN_EGG = REGISTRY.register("ox_spawn_egg", () -> new ForgeSpawnEggItem(CursedcraftingrecipesModEntities.OX, -1, -1, new Item.Properties()));

	private static RegistryObject<Item> block(RegistryObject<Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
